> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Todo 부분 수정

> Todo 정보를 부분 수정합니다. **완료 처리** (`is_completed=true`)할 때 `completed_in_charge`가 자동 설정됩니다. 별도 알림은 발송되지 않습니다.



## OpenAPI

````yaml PATCH /v1/todo/{todo_id}
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/todo/{todo_id}:
    patch:
      tags:
        - todo
      summary: Todo 부분 수정
      description: >-
        Todo 정보를 부분 수정합니다. **완료 처리** (`is_completed=true`)할 때
        `completed_in_charge`가 자동 설정됩니다. 별도 알림은 발송되지 않습니다.
      operationId: todo_partial_update
      parameters:
        - in: path
          name: todo_id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedOpenapiTodoRetrieveUpdateRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedOpenapiTodoRetrieveUpdateRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedOpenapiTodoRetrieveUpdateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiTodoRetrieveUpdate'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiTodoRetrieveUpdateValidationError'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    PatchedOpenapiTodoRetrieveUpdateRequest:
      type: object
      properties:
        inCharge:
          description: 담당자
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedMemberRequest'
        completedInCharge:
          description: 완료한 담당자
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedMemberRequest'
        type:
          enum:
            - M
            - CA
            - MS
            - E
          type: string
          x-spec-enum-id: 930054b8ae8d8490
          description: |-
            타입

            * `M` - 미팅
            * `CA` - 전화
            * `MS` - 메시지
            * `E` - 기타
          x-enumNames:
            - 미팅
            - 전화
            - 메시지
            - 기타
        dueDate:
          type: string
          format: date
          description: 예정일
        dueTime:
          type:
            - string
            - 'null'
          format: time
          description: 예정 시간
        action:
          type: string
          minLength: 1
          description: 액션
          maxLength: 2048
        actionHistory:
          type:
            - string
            - 'null'
          minLength: 1
          description: 액션 히스토리
        isComplete:
          type: boolean
          description: 완료 여부
        completedAt:
          type:
            - string
            - 'null'
          format: date-time
          description: 완료 일시
    OpenapiTodoRetrieveUpdate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inquiry:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedInquiryForTodo'
          readOnly: true
          description: 의뢰
        inCharge:
          description: 담당자
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedMember'
        completedInCharge:
          description: 완료한 담당자
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedMember'
        type:
          enum:
            - M
            - CA
            - MS
            - E
          type: string
          x-spec-enum-id: 930054b8ae8d8490
          description: |-
            타입

            * `M` - 미팅
            * `CA` - 전화
            * `MS` - 메시지
            * `E` - 기타
          x-enumNames:
            - 미팅
            - 전화
            - 메시지
            - 기타
        dueDate:
          type: string
          format: date
          description: 예정일
        dueTime:
          type:
            - string
            - 'null'
          format: time
          description: 예정 시간
        action:
          type: string
          description: 액션
          maxLength: 2048
        actionHistory:
          type:
            - string
            - 'null'
          description: 액션 히스토리
        isComplete:
          type: boolean
          description: 완료 여부
        completedAt:
          type:
            - string
            - 'null'
          format: date-time
          description: 완료 일시
        dDay:
          type: integer
          readOnly: true
          description: D-Day
        created:
          type: string
          format: date-time
          readOnly: true
          description: 생성일시
      required:
        - action
        - created
        - dDay
        - dueDate
        - id
        - inquiry
        - type
    OpenapiTodoRetrieveUpdateValidationError:
      type: object
      properties:
        nonField:
          type: array
          items:
            type: string
        inCharge:
          $ref: '#/components/schemas/OpenapiNestedMemberValidationError'
        completedInCharge:
          $ref: '#/components/schemas/OpenapiNestedMemberValidationError'
        type:
          type: array
          items:
            type: string
        dueDate:
          type: array
          items:
            type: string
        dueTime:
          type: array
          items:
            type: string
        action:
          type: array
          items:
            type: string
        actionHistory:
          type: array
          items:
            type: string
        isComplete:
          type: array
          items:
            type: string
        completedAt:
          type: array
          items:
            type: string
    OpenapiNestedMemberRequest:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
      required:
        - id
    OpenapiNestedInquiryForTodo:
      type: object
      properties:
        id:
          type: integer
        uniqueId:
          type:
            - string
            - 'null'
          readOnly: true
          description: 의뢰 고유번호
        name:
          type: string
          readOnly: true
          description: 의뢰 이름
      required:
        - id
        - name
        - uniqueId
    OpenapiNestedMember:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        nickname:
          type:
            - string
            - 'null'
          readOnly: true
          description: 닉네임
        email:
          type: string
          readOnly: true
          description: 이메일
        isActive:
          type: boolean
          readOnly: true
          description: 활성화 여부
        grade:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedMemberGrade'
          readOnly: true
          description: 등급
      required:
        - email
        - grade
        - id
        - isActive
        - nickname
    OpenapiNestedMemberValidationError:
      type: object
      properties:
        id:
          type: array
          items:
            type: string
    OpenapiNestedMemberGrade:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          readOnly: true
      required:
        - id
        - title
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````